"""Hide most of the CRUD actions in details view.

Revision ID: 10fb6bc06b3e
Revises: 141da1373aaf
Create Date: 2015-09-23 14:19:47.353058

"""

# revision identifiers, used by Alembic.
revision = '10fb6bc06b3e'
down_revision = '141da1373aaf'

from alembic import op
import sqlalchemy as sa


INSERTS = """
update actions set display = 'primary,hide-context' where name = 'Search';
update actions set display = 'hide' where name = 'List';
update actions set display = 'primary,hide-context' where name = 'Create';
update actions set display = 'hide' where name = 'Read';
update actions set display = 'hide' where name = 'Update';
update actions set display = 'hide' where name = 'Delete';
update actions set display = 'secondary,hide-context' where name = 'Import';
update actions set display = 'secondary,hide-context' where name = 'Export';
update actions set display = 'primary' where name = 'Delete' and mid=3;
update actions set display = 'primary' where name = 'Delete' and mid=4;
update actions set display = 'primary' where name = 'Delete' and mid=2004;
update actions set display = 'hide' where name = 'Create' and mid=1000;
update actions set display = 'hide' where name = 'Create' and mid=1001;
update actions set display = 'primary' where display = 'secondary';
update actions set icon = 'fa fa-key' where name = 'Change Password';
"""
DELETES = """"""


def iter_statements(stmts):
    for st in [x for x in stmts.split('\n') if x]:
        op.execute(st)


def upgrade():
    ### commands auto generated by Alembic - please adjust! ###
    pass
    ### end Alembic commands ###
    iter_statements(INSERTS)


def downgrade():
    ### commands auto generated by Alembic - please adjust! ###
    pass
    ### end Alembic commands ###
    iter_statements(DELETES)
